package j3d.examples.checkers;

// Checkers3D.java
// Andrew Davison, January 2003, dandrew@ratree.psu.ac.th

/* A simple basic world consisting of a checkboard floor, 
   with a red center square, and labelled XZ axes.

   A floating, shiny blue sphere is placed affineTransform the center.
*/

import gui.ClosableJFrame;

import java.awt.*;

// use the checkers model to create a shape that is
// a 3d version of the shape that you were assigned for the midterm
public class Main2 extends ClosableJFrame {
    public Main2() {
        super("Checkers3D");
        Container c = getContentPane();
        c.setLayout(new BorderLayout());
        CheckerPanel2 w3d = new CheckerPanel2();
        c.add(w3d, BorderLayout.CENTER);
        pack();

        setVisible(true);
    }


// -----------------------------------------

    public static void main(String[] args) {
        new Main2();
    }

} // end of Checkers3D class
